utl::meta::filter_impl::filter_< typelist< Head, Tail... >, Fn, L > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = if_< invoke_t< Fn, Head >, eval< filter_< typelist< Tail... >, Fn, cat< L, typelist< Head > >> >, eval< filter_< typelist< Tail... >, Fn, L > > >

## Detailed Description

### template<typename Head, typename... Tail, typename Fn, typename L>
struct utl::meta::filter_impl::filter_< typelist< Head, Tail... >, Fn, L >

Definition at line 771 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename Fn , typename L >

using utl::meta::filter_impl::filter_< typelist< Head, Tail... >, Fn, L >::type = if_ < invoke_t <Fn, Head>, eval<filter_<typelist<Tail...>, Fn, cat<L, typelist<Head> >> >, eval<filter_<typelist<Tail...>, Fn, L> > >

Definition at line 778 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h